﻿using MediatR;
using StatisticsService.Domain.Filters;
using StatisticsService.Dto;
using System.Collections.Generic;

namespace StatisticsService.Domain.Queries
{
    public class GetAggregatedStatisticsByResourceQuery : IRequest<IEnumerable<AggregatedStatisticsDto>>
    {
        public StatisticsFilterRID Filter { get; set; }

        public GetAggregatedStatisticsByResourceQuery(StatisticsFilterRID filter)
        {
            Filter = filter;
        }
    }
}
