﻿using MediatR;
using StatisticsService.Dto;
using System.Collections.Generic;

namespace StatisticsService.Domain.Queries
{
    public class GetAllResourcesQuery : IRequest<IEnumerable<ResourcesDto>>
    {
        public string ResourceType { get; set; }

        public GetAllResourcesQuery(string resourceType)
        {
            ResourceType = resourceType;
        }
    }
}