﻿using MediatR;
using StatisticsService.Domain.Filters;
using StatisticsService.Dto;
using System.Collections.Generic;

namespace StatisticsService.Domain.Queries
{
    public class GetStatisticsQuery : IRequest<IEnumerable<StatisticsDto>>
    {
        public StatisticsFilter Filter { get; set; }

        public GetStatisticsQuery(StatisticsFilter filter)
        {
            Filter = filter;
        }
    }
}
