﻿using StatisticsService.Domain;
using StatisticsService.Domain.Filters;
using StatisticsService.Dto;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace StatisticsService.Interfaces.Repository
{
    public interface IUsersRepository
    {
        Task<IEnumerable<UserDto>> GetAllUsers(BaseFilter filter);
        Task<IEnumerable<UserDto>> GetUsersByResourceId(BaseFilterRID filter);
        Task<ActiveResourceDto> GetActiveUsersByResourceId(BaseFilterRID filter);
        Task<ActiveResourceDto> GetAllActiveUsers(BaseFilter filter);
    }
}
