﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace StatisticsService.Database.Migrations
{
    public partial class AddIndexes : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateIndex(
                name: "IX_aggregated_events_1_hour_event_type_event_time",
                table: "aggregated_events_1_hour",
                columns: new[] { "event_type", "event_time" });

            migrationBuilder.CreateIndex(
                name: "IX_aggregated_events_1_hour_resource_type_event_time",
                table: "aggregated_events_1_hour",
                columns: new[] { "resource_type", "event_time" });

            migrationBuilder.CreateIndex(
                name: "IX_aggregated_events_1_hour_topic_id_event_time",
                table: "aggregated_events_1_hour",
                columns: new[] { "topic_id", "event_time" });

            migrationBuilder.CreateIndex(
                name: "IX_aggregated_events_1_hour_topic_id_event_type_event_time",
                table: "aggregated_events_1_hour",
                columns: new[] { "topic_id", "event_type", "event_time" });

            migrationBuilder.CreateIndex(
                name: "IX_aggregated_events_1_day_event_type_event_time",
                table: "aggregated_events_1_day",
                columns: new[] { "event_type", "event_time" });

            migrationBuilder.CreateIndex(
                name: "IX_aggregated_events_1_day_resource_type_event_time",
                table: "aggregated_events_1_day",
                columns: new[] { "resource_type", "event_time" });

            migrationBuilder.CreateIndex(
                name: "IX_aggregated_events_1_day_topic_id_event_time",
                table: "aggregated_events_1_day",
                columns: new[] { "topic_id", "event_time" });

            migrationBuilder.CreateIndex(
                name: "IX_aggregated_events_1_day_topic_id_event_type_event_time",
                table: "aggregated_events_1_day",
                columns: new[] { "topic_id", "event_type", "event_time" });
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_aggregated_events_1_hour_event_type_event_time",
                table: "aggregated_events_1_hour");

            migrationBuilder.DropIndex(
                name: "IX_aggregated_events_1_hour_resource_type_event_time",
                table: "aggregated_events_1_hour");

            migrationBuilder.DropIndex(
                name: "IX_aggregated_events_1_hour_topic_id_event_time",
                table: "aggregated_events_1_hour");

            migrationBuilder.DropIndex(
                name: "IX_aggregated_events_1_hour_topic_id_event_type_event_time",
                table: "aggregated_events_1_hour");

            migrationBuilder.DropIndex(
                name: "IX_aggregated_events_1_day_event_type_event_time",
                table: "aggregated_events_1_day");

            migrationBuilder.DropIndex(
                name: "IX_aggregated_events_1_day_resource_type_event_time",
                table: "aggregated_events_1_day");

            migrationBuilder.DropIndex(
                name: "IX_aggregated_events_1_day_topic_id_event_time",
                table: "aggregated_events_1_day");

            migrationBuilder.DropIndex(
                name: "IX_aggregated_events_1_day_topic_id_event_type_event_time",
                table: "aggregated_events_1_day");
        }
    }
}
