﻿using System.ComponentModel.DataAnnotations.Schema;

namespace StatisticsService.Database.Models
{
    public class AggregatedEventBase
    {
        [Column("id", TypeName = "serial")]
        public int Id { get; set; }

        [Column("topic_id", TypeName = "varchar")]
        public string TopicId { get; set; } = null!;

        [Column("resource_type", TypeName = "varchar")]
        public string ResourceType { get; set; } = null!;

        [Column("event_type", TypeName = "varchar")]
        public string EventType { get; set; } = null!;

        [Column("event_time", TypeName = "timestamp")]
        public DateTime EventTime { get; set; }

        [Column("count", TypeName = "float")]
        public double Count { get; set; }

        [Column("event_count", TypeName = "float")]
        public double EventCount { get; set; }
    }
}