import { Search } from 'react-feather'

import { ToggleTheme } from './ToggleTheme'
import { ProfileDropdown } from './ProfileDropdown'
import { ResourceSelectInput } from './ResourceSelectInput'

export const RightNav = () => {
  return (
    <div className="navbar navbar-collapse responsive-navbar p-0">
      <div className="collapse navbar-collapse" id="navbarSupportedContent-4">
        <div className="d-flex order-lg-2">
          <div className="dropdown d-lg-none d-flex">
            <a className="nav-link icon" data-bs-toggle="dropdown">
              <Search />
            </a>
            <div className="dropdown-menu header-search dropdown-menu-start">
              <div className="input-group w-100 p-2">
                <ResourceSelectInput />
              </div>
            </div>
          </div>
          <div className="dropdown d-flex">
            <ToggleTheme />
          </div>
          <div className="dropdown d-flex profile-1">
            <ProfileDropdown />
          </div>
        </div>
      </div>
    </div>
  )
}
