import { Moon, Sun } from 'react-feather'

import { useThemeStore } from 'store'

export const ToggleTheme = () => {
  const toggleTheme = useThemeStore(state => state.toggleTheme)
  return (
    <a className="nav-link icon theme-layout nav-link-bg layout-setting">
      <span className="dark-layout" onClick={toggleTheme}>
        <Moon className="w-80 align-text-bottom" />
      </span>
      <span className="light-layout" onClick={toggleTheme}>
        <Sun className="w-80 align-text-bottom" />
      </span>
    </a>
  )
}
