import { LoadingIndicator } from 'app/components/LoadingIndicator'
import { lazyLoad } from 'utils/loadable'

export const NotFoundPage = lazyLoad(
  () => import('./index'),
  module => module.NotFoundPage,
  {
    fallback: <LoadingIndicator />,
  },
)
