import { Helmet } from 'react-helmet-async'

import { Content } from 'app/components/Content'
import { PlaceholderSmallWidget } from 'app/components/widgets/PlaceholderSmallWidget'

export const ControlPage = () => {
  return (
    <>
      <Helmet>
        <title>Control</title>
      </Helmet>
      <Content category="Projects" currentPage="Control">
        <div className="row">
          <div className="col-lg-12 col-md-12 col-sm-12 col-xl-12">
            <div className="row">
              <PlaceholderSmallWidget
                type="bar"
                variant="secondary"
                title="Active Clients"
                data={[658, 823, 756, 790, 690, 727]}
                value={754}
              />
              <PlaceholderSmallWidget
                type="bar"
                variant="green"
                title="Active Users"
                data={[3453, 2823, 2756, 2790, 3690, 2727]}
                value={3007}
              />
              <PlaceholderSmallWidget
                type="line"
                variant="secondary"
                title="Transactions"
                data={[658, 823, 756, 790, 690, 727]}
                value={754}
              />
            </div>
          </div>
        </div>
      </Content>
    </>
  )
}
