﻿using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;
using ZData.Iam.Enforcer.Client;

namespace StatisticsService.Api.Extensions
{
    public static class AccessServerServiceCollectionExtensions
    {
        public static IServiceCollection AddAccessServerServices(this IServiceCollection services, IConfiguration configuration)
        {
            services.Configure<EnforcerClientOptions>(configuration.GetSection("Zam"));
            services.AddTransient<IEnforcer, EnforcerClient>();

            return services;
        }
    }
}
