﻿using MediatR;
using StatisticsService.Domain.Filters;
using StatisticsService.Dto;
using System;
using System.Collections.Generic;

namespace StatisticsService.Domain.Queries
{
    public class GetAllUsersQuery : IRequest<IEnumerable<UserDto>>
    {
        public BaseFilter Filter { get; }

        public GetAllUsersQuery(BaseFilter filter)
        {
            Filter = filter;
        }
    }
}